%--------------------------------------------------------------------------
% File     : GEO002=XBtwnXY-1 : TPTP v1.1.2. Bugfixed v1.0.1.
% Domain   : Geometry
% Problem  : For all points x and y, x is between x and y
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-Verlag, 
%            Berlin, Germany.
% Source   : [ANL]
% Names    : T2 [McCharen, et al., 1976]
%          : t2.ver1.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   56 (   6 non-Horn)(   8 unit)
%            Number of literals          :  142 (  71 equality)
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :   10 (   5 constant)
%            Number of variables         :  269 (   3 singleton)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_a_between_a_and_b,theorem,
    [--between(a,a,b)]).
%--------------------------------------------------------------------------
