%--------------------------------------------------------------------------
% File     : GEO037=ExtSegEx-2 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Geometry
% Problem  : A segment can be extended
% Version  : [Quaife, 1989] axioms.
% English  : 

% Refs     : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-Verlag, 
%            Berlin, Germany.
%          : Quaife A. (1989), Automated Development of Tarski's Geometry, 
%            Journal of Automated Reasoning 5(1), 97-118.
% Source   : [Quaife, 1989]
% Names    : E3 [Quaife, 1989]

% Status   : 
% Syntax   : Number of clauses           :   54 (   5 non-Horn)(   7 unit)
%            Number of literals          :  136 (  71 equality)
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :   12 (   7 constant)
%            Number of variables         :  261 (   3 singleton)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : This presentation may have alternatives/be incorrect.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_lengthen,theorem,
    [++equal(v,extension(u,v,lower_dimension_point_1,
lower_dimension_point_2)),
     --equidistant(v,extension(u,v,lower_dimension_point_1,
lower_dimension_point_2),x,extension(w,x,lower_dimension_point_1,
lower_dimension_point_2)),
     --between(u,v,extension(u,v,lower_dimension_point_1,
lower_dimension_point_2))]).
%--------------------------------------------------------------------------
