%--------------------------------------------------------------------------
% File     : HEN003=XDivX-5 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Henkin Models
% Problem  : X/X = zero
% Version  : [McCharen, et al., 1976] (equality) axioms :
%            Reduced > Complete.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
% Source   : [ANL]
% Names    : H3 [McCharen, et al., 1976]
%          : hp3.ver3.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   11 (   0 non-Horn)(   6 unit)
%            Number of literals          :   18 (  18 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    4 (   3 constant)
%            Number of variables         :   21 (   3 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    4

% Comments : less_equal replaced by divides
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms, for the equality formulation with 
%----less_equals removed.
include('Axioms/HEN003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_x_divide_x_is_zero,theorem,
    [--equal(divide(a,a),zero)]).
%--------------------------------------------------------------------------
