%--------------------------------------------------------------------------
% File     : LCL118=WO_YQM-1 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Logic Calculi (R)
% Problem  : YQM depends on WO
% Version  : 
% English  : Single axioms for the R calculus are QYF, YQM, WO, all 
%            by Meredith and XGJ by Winker. Show that YQM depends on WO.

% Refs     : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on Automated 
%            Deduction, (Saratoga Springs, NY, 1992), (Lecture Notes 
%            in Artificial Intelligence, 607), Springer-Verlag, NY, 
%            209-223.
%          : McCune W.W. (1992), Email to Geoff Sutcliffe.
% Source   : [McCune, 1992]
% Names    : R-86 [McCune & Wos, 1992]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 unit)
%            Number of literals          :    5 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    4 (   3 constant)
%            Number of variables         :    5 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom from Meredith 
input_clause(wo,axiom,
    [++is_a_theorem(equivalent(equivalent(X,equivalent(Y,Z)),
equivalent(Z,equivalent(Y,X))))]).

%----Axiom from Meredith 
input_clause(prove_yqm,theorem,
    [--is_a_theorem(equivalent(equivalent(a,b),equivalent(
equivalent(c,b),equivalent(c,a))))]).
%--------------------------------------------------------------------------
