%--------------------------------------------------------------------------
% File     : NUM069=WellOrdEqn3Cor-1 : TPTP v1.1.2. Bugfixed v1.0.1.
% Domain   : Number Theory (Ordinals)
% Problem  : Corollary to well ordering property 3
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays -Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : WE3 cor. [Quaife]

% Status   : 
% Syntax   : Number of clauses           :  268 (  12 non-Horn)(  51 unit)
%            Number of literals          :  569 ( 252 equality)
%            Number of predicate symbols :   17 (   0 propositional)
%            Number of function symbols  :   65 (  21 constant)
%            Number of variables         :  624 (  41 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992]. Theorem WE3 cor. in Quaife's 
%            collection.
%          : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. The user may create 
%            an augmented version of this problem by adding all previously 
%            proved theorems. These include all of Quaife's [1992] set 
%            theory and Boolean algebra theorems, available from the set 
%            theory domain of the TPTP library.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include Set theory (Boolean algebra) axioms based on NBG set theory 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_to_well_ordering_property3_1,theorem,
    [++well_ordering(element_relation,y)]).

input_clause(prove_corollary_to_well_ordering_property3_2,theorem,
    [++member(ordered_pair(u,v),cross_product(y,y))]).

input_clause(prove_corollary_to_well_ordering_property3_3,theorem,
    [++member(u,v)]).

input_clause(prove_corollary_to_well_ordering_property3_4,theorem,
    [++member(v,u)]).
%--------------------------------------------------------------------------
