%--------------------------------------------------------------------------
% File     : NUM236=TrnsfRecrLem6Cor1-1 : TPTP v1.1.2. Bugfixed v1.0.1.
% Domain   : Number Theory (Ordinals)
% Problem  : Corollary 1 to transfinite recursion lemma 6
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays -Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : TREC.LEMMA6 cor.1 [Quaife]

% Status   : 
% Syntax   : Number of clauses           :  267 (  12 non-Horn)(  50 unit)
%            Number of literals          :  568 ( 252 equality)
%            Number of predicate symbols :   17 (   0 propositional)
%            Number of function symbols  :   65 (  21 constant)
%            Number of variables         :  624 (  41 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992]. Theorem TREC.LEMMA6 cor. 1 in Quaife's 
%            collection.
%          : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. The user may create 
%            an augmented version of this problem by adding all previously 
%            proved theorems. These include all of Quaife's [1992] set 
%            theory and Boolean algebra theorems, available from the set 
%            theory domain of the TPTP library.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include Set theory (Boolean algebra) axioms based on NBG set theory 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_1_to_transfinite_recursion_lemma6_1,theorem,
    [++member(x,recursion_equation_functions(z))]).

input_clause(prove_corollary_1_to_transfinite_recursion_lemma6_2,theorem,
    [++member(y,recursion_equation_functions(z))]).

input_clause(prove_corollary_1_to_transfinite_recursion_lemma6_3,theorem,
    [--member(union(x,y),recursion_equation_functions(z))]).
%--------------------------------------------------------------------------
