%--------------------------------------------------------------------------
% File     : PUZ030=SaltM-0 : TPTP v1.1.2. Bugfixed v1.1.2.
% Domain   : Puzzles
% Problem  : Salt and Mustard Problem
% Version  : Theorem formulation : Propositional.
% English  : 

% Refs     : Carroll L. (1986), Lewis Carroll's Symbolic logic : part 
%            I, Elementary, part II, Advanced, C. N. Potter, New York, NY.
% Source   : [TPTP]
% Names    : salt.in [OTTER]

% Status   : 
% Syntax   : Number of clauses           :   63 (  36 non-Horn)(   0 unit)
%            Number of literals          :  214 (   0 equality)
%            Number of predicate symbols :   10 (  10 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :   10
%            Maximal term depth          :    0

% Comments : 
% Bugfixes : v1.1.2 - Renamed from PUZ030-0.
%--------------------------------------------------------------------------
input_clause(c1,hypothesis,
    [--salt_mill,++mustard_barry,++mustard_lang]).

input_clause(c2,hypothesis,
    [--salt_mill,++mustard_barry,++salt_lang]).

input_clause(c3,hypothesis,
    [--salt_mill,++salt_barry,++mustard_lang]).

input_clause(c4,hypothesis,
    [--salt_mill,++salt_barry,++salt_lang]).

input_clause(c5,hypothesis,
    [--mustard_lang,--mustard_cole,--mustard_mill]).

input_clause(c6,hypothesis,
    [--mustard_lang,--mustard_cole,--salt_mill]).

input_clause(c7,hypothesis,
    [--mustard_lang,--salt_cole,--mustard_mill]).

input_clause(c8,hypothesis,
    [--mustard_lang,--salt_cole,--salt_mill]).

input_clause(c9,hypothesis,
    [--mustard_dix,--mustard_lang,--mustard_mill]).

input_clause(c10,hypothesis,
    [--mustard_dix,--mustard_lang,--salt_mill]).

input_clause(c11,hypothesis,
    [--mustard_dix,--salt_lang,--mustard_mill]).

input_clause(c12,hypothesis,
    [--mustard_dix,--salt_lang,--salt_mill]).

input_clause(c13,hypothesis,
    [--salt_dix,--mustard_barry,++mustard_cole]).

input_clause(c14,hypothesis,
    [--salt_dix,--mustard_barry,++salt_cole]).

input_clause(c15,hypothesis,
    [--salt_dix,--salt_barry,++mustard_cole]).

input_clause(c16,hypothesis,
    [--salt_dix,--salt_barry,++salt_cole]).

input_clause(c17,hypothesis,
    [--mustard_cole,++mustard_dix,++mustard_lang]).

input_clause(c18,hypothesis,
    [--mustard_cole,++mustard_dix,++salt_lang]).

input_clause(c19,hypothesis,
    [--mustard_cole,++salt_dix,++mustard_lang]).

input_clause(c20,hypothesis,
    [--mustard_cole,++salt_dix,++salt_lang]).

input_clause(c21,hypothesis,
    [--mustard_barry,--mustard_dix,++mustard_mill]).

input_clause(c22,hypothesis,
    [--mustard_barry,--mustard_dix,++salt_mill]).

input_clause(c23,hypothesis,
    [--mustard_barry,--salt_dix,++mustard_mill]).

input_clause(c24,hypothesis,
    [--mustard_barry,--salt_dix,++salt_mill]).

input_clause(c25,hypothesis,
    [++salt_dix,--mustard_dix,++mustard_mill]).

input_clause(c26,hypothesis,
    [--salt_dix,++mustard_dix,++mustard_mill]).

input_clause(c27,hypothesis,
    [++salt_cole,--mustard_cole,++mustard_mill]).

input_clause(c28,hypothesis,
    [--salt_cole,++mustard_cole,++mustard_mill]).

input_clause(c29,hypothesis,
    [--salt_lang,--mustard_lang,++salt_mill]).

input_clause(c30,hypothesis,
    [--salt_barry,--mustard_barry,++salt_mill]).

input_clause(c31,hypothesis,
    [++salt_dix,--mustard_dix,++salt_lang]).

input_clause(c32,hypothesis,
    [--salt_dix,++mustard_dix,++salt_lang]).

input_clause(c33,hypothesis,
    [++salt_barry,--mustard_barry,++salt_lang]).

input_clause(c34,hypothesis,
    [--salt_barry,++mustard_barry,++salt_lang]).

input_clause(c35,hypothesis,
    [--salt_cole,--mustard_cole,++salt_dix]).

input_clause(c36,hypothesis,
    [--salt_lang,--mustard_lang,++mustard_cole]).

input_clause(c37,hypothesis,
    [--salt_dix,--mustard_dix,++mustard_cole]).

input_clause(c38,hypothesis,
    [++salt_barry,--mustard_barry,++salt_cole]).

input_clause(c39,hypothesis,
    [--salt_barry,++mustard_barry,++salt_cole]).

input_clause(c40,hypothesis,
    [--salt_mill,--mustard_mill,++mustard_barry]).

input_clause(c41,hypothesis,
    [++salt_lang,--mustard_lang,++salt_barry]).

input_clause(c42,hypothesis,
    [--salt_lang,++mustard_lang,++salt_barry]).

input_clause(c43,hypothesis,
    [++salt_cole,--mustard_cole,++salt_barry]).

input_clause(c44,hypothesis,
    [--salt_cole,++mustard_cole,++salt_barry]).

input_clause(c45,hypothesis,
    [--salt_cole,--mustard_barry,--salt_barry,--mustard_mill]).

input_clause(c46,hypothesis,
    [--salt_cole,--mustard_barry,--salt_barry,--salt_mill]).

input_clause(c47,hypothesis,
    [--salt_cole,++salt_barry,++mustard_barry,--mustard_mill]).

input_clause(c48,hypothesis,
    [--salt_cole,++salt_barry,++mustard_barry,--salt_mill]).

input_clause(c49,hypothesis,
    [--mustard_mill,--mustard_cole,--salt_cole,--mustard_dix,--salt_dix]).

input_clause(c50,hypothesis,
    [--mustard_mill,++salt_cole,++mustard_cole,++salt_dix,++mustard_dix]).

input_clause(c51,hypothesis,
    [--salt_lang,--mustard_barry,--salt_barry,--mustard_dix,--salt_dix]).

input_clause(c52,hypothesis,
    [--salt_lang,--mustard_barry,--salt_barry,++salt_dix,++mustard_dix]).

input_clause(c53,hypothesis,
    [--salt_lang,++salt_barry,++mustard_barry,--mustard_dix,--salt_dix]).

input_clause(c54,hypothesis,
    [--salt_barry,--mustard_cole,--salt_cole,--mustard_lang,--salt_lang]).

input_clause(c55,hypothesis,
    [--salt_barry,--mustard_cole,--salt_cole,++salt_lang,++mustard_lang]).

input_clause(c56,hypothesis,
    [++salt_mill,++mustard_mill,++mustard_lang]).

input_clause(c57,hypothesis,
    [++salt_cole,++mustard_cole,++mustard_lang]).

input_clause(c58,hypothesis,
    [++salt_mill,++mustard_mill,++mustard_dix]).

input_clause(c59,hypothesis,
    [++salt_lang,++mustard_lang,++mustard_dix]).

input_clause(c60,hypothesis,
    [++salt_barry,++mustard_barry,++salt_dix]).

input_clause(c61,hypothesis,
    [++salt_mill,++mustard_mill,++salt_cole]).

input_clause(c62,hypothesis,
    [++salt_dix,++mustard_dix,++mustard_barry]).

input_clause(prove_who_takes_what,theorem,
    [++salt_lang,
     --mustard_barry,
     --salt_barry,
     --salt_mill,
     --mustard_lang,
     ++salt_cole,
     ++mustard_cole,
     ++salt_dix,
     ++mustard_dix,
     ++mustard_mill]).
%--------------------------------------------------------------------------
