%--------------------------------------------------------------------------
% File     : RNG025=FlexLaw-6 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Middle or Flexible Law
% Version  : [Stevens, 1987] (equality) axioms.
%            Theorem formulation : In terms of associators
% English  : 

% Refs     : Stevens R.L. (1987), Some Experiments in Nonassociative Ring 
%            Theory with an Automated Theorem Prover, In Journal 
%            of Automated Reasoning 3(2), Kluwer Academic Publishers, 
%            Dordrecht, The Netherlands, 211-221.
%          : Stevens R.L. (1992), Unpublished notes.
% Source   : [Stevens, 1992]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   29 (   0 non-Horn)(  17 unit)
%            Number of literals          :   42 (  42 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    8 (   3 constant)
%            Number of variables         :   65 (   2 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    5

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include nonassociative ring axioms 
include('Axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_flexible_law,theorem,
    [--equal(associator(x,y,x),additive_identity)]).
%--------------------------------------------------------------------------
