%--------------------------------------------------------------------------
% File     : SET123=SetBAltDef1-6 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Set Theory
% Problem  : Alternative definition of set builder, part 1
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : SB2.1 [Quaife, 1992]

% Status   : 
% Syntax   : Number of clauses           :  165 (   8 non-Horn)(  34 unit)
%            Number of literals          :  340 ( 166 equality)
%            Number of predicate symbols :   10 (   0 propositional)
%            Number of function symbols  :   42 (  11 constant)
%            Number of variables         :  387 (  26 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : The 'set builder' problems, of which this is one, do not 
%            appear in [Quaife, 1992]. In Quaife's development, these 
%            problems appear between the SINGLETON and the ORDERED PAIRS 
%            problems of [Quaife, 1992]. However, in order to correspond 
%            to the paper, these theorems have not been used in the 
%            augmented versions of the subsequent problems in [Quaife, 
%            1992].
%          : Not in [Quaife, 1992]. Theorem SB2 in Quaife's collection.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
%----(SBDEF1): definition of set builder.
input_clause(definition_of_set_builder,axiom,
    [++equal(union(singleton(X),Y),set_builder(X,Y))]).

input_clause(set_builder_substitution1,axiom,
    [--equal(A,B),
     ++equal(set_builder(A,C),set_builder(B,C))]).

input_clause(set_builder_substitution2,axiom,
    [--equal(D,E),
     ++equal(set_builder(F,D),set_builder(F,E))]).

input_clause(prove_set_builder_alternate_defn1_1,theorem,
    [++member(x,set_builder(y,z))]).

input_clause(prove_set_builder_alternate_defn1_2,theorem,
    [--equal(x,y)]).

input_clause(prove_set_builder_alternate_defn1_3,theorem,
    [--member(x,z)]).
%--------------------------------------------------------------------------
