%--------------------------------------------------------------------------
% File     : SET276=DomEqn4Cor2-6 : TPTP v1.1.2. Bugfixed v1.0.1.
% Domain   : Set Theory
% Problem  : Corollary 2 to domain property 4
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : DO8 cor.2 [Quaife, 1992]

% Status   : 
% Syntax   : Number of clauses           :  188 (   8 non-Horn)(  39 unit)
%            Number of literals          :  387 ( 181 equality)
%            Number of predicate symbols :   11 (   0 propositional)
%            Number of function symbols  :   50 (  16 constant)
%            Number of variables         :  437 (  33 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. With a few exceptions 
%            (the problems that correspond to [Bledsoe, et al., 1986] 
%            problems), the TPTP has retained the order in which Quaife 
%            presents the problems. The user may create an augmented 
%            version of this problem by adding all previously proved 
%            theorems (the ones that correspond to [Bledsoe, et al., 1986] 
%            are easily identified and positioned using Quaife's naming 
%            scheme).
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_2_to_domain_property4_1,theorem,
    [--subclass(cross_product(domain_of(restrict(x,y,z)),u),
cross_product(intersection(domain_of(x),y),u))]).
%--------------------------------------------------------------------------
