%--------------------------------------------------------------------------
% File     : SET360=DomSumClSqr-6 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Set Theory
% Problem  : Domain is sum squared
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : SC11.1 [Quaife, 1992]

% Status   : 
% Syntax   : Number of clauses           :  191 (   8 non-Horn)(  42 unit)
%            Number of literals          :  390 ( 184 equality)
%            Number of predicate symbols :   11 (   0 propositional)
%            Number of function symbols  :   47 (  13 constant)
%            Number of variables         :  440 (  33 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. With a few exceptions
%            (the problems that correspond to [Bledsoe, et al., 1986]
%            problems), the TPTP has retained the order in which Quaife
%            presents the problems. The user may create an augmented
%            version of this problem by adding all previously proved
%            theorems (the ones that correspond to [Bledsoe, et al., 
%            1986] are easily identified and positioned using Quaife's
%            naming scheme).
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_domain_is_sum_squared_1,theorem,
    [--subclass(domain_of(x),sum_class(sum_class(x)))]).
%--------------------------------------------------------------------------
