%--------------------------------------------------------------------------
% File     : SYN036=PAndrews-4 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Andrews Challenge Problem
% Version  : Theorem formulation : Different clausal form.
% English  : 

% Refs     : De Champeaux D. (1979), Sub-problem Finder and Instance 
%            Checker: Two Co-operating Preprocessors for Theorem Provers, 
%            Proceedings of the 6th International Joint Conference 
%            on Artificial Intelligence, 191-196.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Angshuman G., Zhang H. (1989), Andrews' Challenge Problem: 
%            Clause Conversion and Solutions, AAR Newsletter 14, 5-8.
%          : Quaife A. (1990), Andrews' Challenge Problem Revisited, AAR 
%            Newsletter 15, 3-7.
% Source   : [Quaife, 1990]
% Names    : Theorem A [Quaife, 1990]

% Status   : 
% Syntax   : Number of clauses           :   32 (  25 non-Horn)(   0 unit)
%            Number of literals          :  168 (   0 equality)
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    6 (   2 constant)
%            Number of variables         :   81 (  42 singleton)
%            Maximal clause size         :    6
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p(cx),
     --q(cw),
     ++p(Y3),
     ++q(Z3)]).

input_clause(clause_2,theorem,
    [--p(cx),
     --q(Z4),
     ++p(Y3),
     ++q(cw)]).

input_clause(clause_3,theorem,
    [--p(Y4),
     --q(cw),
     ++p(cx),
     ++q(Z3)]).

input_clause(clause_4,theorem,
    [--p(Y4),
     --q(Z4),
     ++p(cx),
     ++q(cw)]).

input_clause(clause_5,theorem,
    [--p(cx),
     --p(X7),
     --p(fy5(X7)),
     --q(cw),
     ++q(Z3)]).

input_clause(clause_6,theorem,
    [--p(cx),
     --p(X7),
     --p(fy5(X7)),
     --q(Z4),
     ++q(cw)]).

input_clause(clause_7,theorem,
    [--p(cx),
     --q(cw),
     --q(W9),
     --q(fz5(W9)),
     ++p(Y3)]).

input_clause(clause_8,theorem,
    [--p(cx),
     --q(W2),
     ++p(Y1),
     ++q(W4),
     ++q(fz(W4))]).

input_clause(clause_9,theorem,
    [--p(cx),
     --q(W3),
     --q(fz(W3)),
     ++p(Y1),
     ++q(W4)]).

input_clause(clause_10,theorem,
    [--p(cx),
     ++p(Y1),
     ++q(cw),
     ++q(W3),
     ++q(fz(W3))]).

input_clause(clause_11,theorem,
    [--p(X5),
     --p(fy(X5)),
     --q(cw),
     ++p(X2),
     ++q(Z1)]).

input_clause(clause_12,theorem,
    [--p(X5),
     --q(cw),
     ++p(X2),
     ++p(fy(X2)),
     ++q(Z1)]).

input_clause(clause_13,theorem,
    [--p(X2),
     --p(fy5(X9)),
     --q(Z4),
     ++p(X8),
     ++q(cw)]).

input_clause(clause_14,theorem,
    [--p(X9),
     --q(Z4),
     ++p(X8),
     ++p(fy5(X8)),
     ++q(cw)]).

input_clause(clause_15,theorem,
    [--p(Y2),
     ++p(cx),
     ++q(cw),
     ++q(W3),
     ++q(fz(W3))]).

input_clause(clause_16,theorem,
    [--p(Y4),
     --q(cw),
     --q(W9),
     --q(fz5(W9)),
     ++p(cx)]).

input_clause(clause_17,theorem,
    [--p(Y4),
     --q(W6),
     ++p(cx),
     ++q(W9),
     ++q(fz5(W9))]).

input_clause(clause_18,theorem,
    [--p(Y4),
     --q(W9),
     --q(fz5(W9)),
     ++p(cx),
     ++q(W10)]).

input_clause(clause_19,theorem,
    [--q(cw),
     ++p(cx),
     ++p(X1),
     ++p(fy(X1)),
     ++q(Z1)]).

input_clause(clause_20,theorem,
    [--q(Z2),
     ++p(cx),
     ++p(X1),
     ++p(fy(X1)),
     ++q(cw)]).

input_clause(clause_21,theorem,
    [--p(cx),
     --p(X1),
     --p(fy(X1)),
     --q(W3),
     --q(fz(W3)),
     ++q(cw)]).

input_clause(clause_22,theorem,
    [--p(cx),
     --p(X1),
     --p(fy(X1)),
     ++q(cw),
     ++q(W3),
     ++q(fz(W3))]).

input_clause(clause_23,theorem,
    [--p(cx),
     --p(X7),
     --p(fy5(X7)),
     --q(cw),
     --q(W9),
     --q(fz5(W9))]).

input_clause(clause_24,theorem,
    [--p(X1),
     --p(fy(X1)),
     --q(cw),
     --q(W3),
     --q(fz(W3)),
     ++p(cx)]).

input_clause(clause_25,theorem,
    [--p(X4),
     --p(fy(X4)),
     --q(W1),
     ++p(X2),
     ++q(W4),
     ++q(fz(W4))]).

input_clause(clause_26,theorem,
    [--p(X4),
     --p(fy(X4)),
     --q(W3),
     --q(fz(W3)),
     ++p(X2),
     ++q(W4)]).

input_clause(clause_27,theorem,
    [--p(X4),
     --q(W1),
     ++p(X2),
     ++p(fy(X2)),
     ++q(W4),
     ++q(fz(W4))]).

input_clause(clause_28,theorem,
    [--p(X4),
     --q(W3),
     --q(fz(W3)),
     ++p(X2),
     ++p(fy(X2)),
     ++q(W4)]).

input_clause(clause_29,theorem,
    [--p(X7),
     --p(fy5(X7)),
     ++p(cx),
     ++q(cw),
     ++q(W9),
     ++q(fz5(W9))]).

input_clause(clause_30,theorem,
    [--q(cw),
     --q(W3),
     --q(fz(W3)),
     ++p(cx),
     ++p(X1),
     ++p(fy(X1))]).

input_clause(clause_31,theorem,
    [--q(W9),
     --q(fz5(W9)),
     ++p(cx),
     ++p(X7),
     ++p(fy5(X7)),
     ++q(cw)]).

input_clause(clause_32,theorem,
    [++p(cx),
     ++p(X7),
     ++p(fy5(X7)),
     ++q(cw),
     ++q(W9),
     ++q(fz5(W9))]).
%--------------------------------------------------------------------------
