%--------------------------------------------------------------------------
% File     : SYN059=FPell29-1 : TPTP v1.1.2. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 29
% Version  : 
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 29 [Pelletier, 1986]

% Status   : satisfiable
% Syntax   : Number of clauses           :   32 (  22 non-Horn)(   2 unit)
%            Number of literals          :  120 (   0 equality)
%            Number of predicate symbols :    4 (   0 propositional)
%            Number of function symbols  :    7 (   7 constant)
%            Number of variables         :   32 (  10 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++big_f(a)]).

input_clause(clause_2,axiom,
    [++big_g(b)]).

input_clause(clause_3,theorem,
    [--big_f(X),
     ++big_h(X),
     --big_f(Y),
     --big_g(Z),
     ++big_h(Y)]).

input_clause(clause_4,theorem,
    [--big_f(X),
     ++big_h(X),
     --big_f(Y),
     --big_g(Z),
     ++big_j(Z)]).

input_clause(clause_5,theorem,
    [--big_f(X),
     ++big_h(X),
     ++big_f(e),
     ++big_g(f)]).

input_clause(clause_6,theorem,
    [--big_f(X),
     ++big_h(X),
     ++big_f(e),
     --big_j(f)]).

input_clause(clause_7,theorem,
    [--big_f(X),
     ++big_h(X),
     --big_h(e),
     ++big_g(f)]).

input_clause(clause_8,theorem,
    [--big_f(X),
     ++big_h(X),
     --big_h(e),
     --big_j(f)]).

input_clause(clause_9,theorem,
    [--big_g(X),
     ++big_j(X),
     --big_f(Y),
     --big_g(Z),
     ++big_h(Y)]).

input_clause(clause_10,theorem,
    [--big_g(X),
     ++big_j(X),
     --big_f(Y),
     --big_g(Z),
     ++big_j(Z)]).

input_clause(clause_11,theorem,
    [--big_g(X),
     ++big_j(X),
     ++big_f(e),
     ++big_g(j)]).

input_clause(clause_12,theorem,
    [--big_g(X),
     ++big_j(X),
     ++big_f(e),
     --big_j(f)]).

input_clause(clause_13,theorem,
    [--big_g(X),
     ++big_j(X),
     --big_h(e),
     ++big_g(f)]).

input_clause(clause_14,theorem,
    [--big_g(X),
     ++big_j(X),
     --big_h(e),
     --big_j(f)]).

input_clause(clause_15,theorem,
    [++big_f(c),
     --big_f(X),
     --big_g(Y),
     ++big_h(X)]).

input_clause(clause_16,theorem,
    [++big_f(c),
     --big_f(X),
     --big_g(Y),
     ++big_j(Y)]).

input_clause(clause_17,theorem,
    [++big_f(c),
     ++big_f(e),
     ++big_g(f)]).

input_clause(clause_18,theorem,
    [++big_f(c),
     ++big_f(e),
     --big_j(f)]).

input_clause(clause_19,theorem,
    [++big_f(c),
     --big_h(e),
     ++big_g(f)]).

input_clause(clause_20,theorem,
    [++big_f(c),
     --big_h(e),
     --big_j(f)]).

input_clause(clause_21,theorem,
    [++big_g(d),
     --big_f(X),
     --big_g(Y),
     ++big_h(X)]).

input_clause(clause_22,theorem,
    [++big_g(d),
     --big_f(X),
     --big_g(Y),
     ++big_j(Y)]).

input_clause(clause_23,theorem,
    [++big_g(d),
     ++big_f(e),
     ++big_g(f)]).

input_clause(clause_24,theorem,
    [++big_g(d),
     ++big_f(e),
     --big_j(f)]).

input_clause(clause_25,theorem,
    [++big_g(d),
     --big_h(e),
     ++big_g(f)]).

input_clause(clause_26,theorem,
    [++big_g(d),
     --big_h(e),
     --big_j(f)]).

input_clause(clause_27,theorem,
    [--big_h(c),
     --big_j(d),
     --big_f(X),
     --big_g(Y),
     ++big_h(X)]).

input_clause(clause_28,theorem,
    [--big_h(c),
     --big_j(d),
     --big_f(X),
     --big_g(Y),
     ++big_j(Y)]).

input_clause(clause_29,theorem,
    [--big_h(c),
     --big_j(d),
     ++big_f(e),
     ++big_g(f)]).

input_clause(clause_30,theorem,
    [--big_h(c),
     --big_j(d),
     ++big_f(e),
     --big_j(f)]).

input_clause(clause_31,theorem,
    [--big_h(c),
     ++big_j(d),
     --big_h(e),
     ++big_g(f)]).

input_clause(clause_32,theorem,
    [--big_h(c),
     --big_j(d),
     --big_h(e),
     --big_j(f)]).
%--------------------------------------------------------------------------
